=== modified file 'test/com/goldencode/p2j/util/AbstractNumberFormatterTest.java'
--- test/com/goldencode/p2j/util/AbstractNumberFormatterTest.java	2021-11-23 20:02:38 +0000
+++ test/com/goldencode/p2j/util/AbstractNumberFormatterTest.java	2022-09-30 12:04:15 +0000
@@ -9,6 +9,7 @@
 **     VVT 20210427 checkInvalidValue() API changed; a new test leftOverflowError() added.
 **     VVT 20210428 Import statements fixed.
 **     VVT 20211123 Missing Javadocs and annotations added.
+**     VVT 2022xxxx Refactored to make tests pure JUnit5. See #6237.
 */
 /*
 ** This program is free software: you can redistribute it and/or modify
@@ -64,11 +65,11 @@
 */
 package com.goldencode.p2j.util;
 
-import static org.junit.Assert.assertEquals;
+import static org.junit.jupiter.api.Assertions.assertEquals;
 
 import java.math.*;
 
-import org.junit.*;
+import org.junit.jupiter.api.*;
 
 /**
  * Common fields and methods for testing formatting with 4gl number formats.

=== modified file 'test/com/goldencode/p2j/util/TestCharacterFormatParser.java'
--- test/com/goldencode/p2j/util/TestCharacterFormatParser.java	2021-09-17 15:14:10 +0000
+++ test/com/goldencode/p2j/util/TestCharacterFormatParser.java	2022-09-30 12:05:04 +0000
@@ -9,6 +9,7 @@
 **     VVT 20210426 The splitGroup() method fixed.
 **     VVT 20210427 API changed: the format is not passed to constructor anymore.
 **     VVT 20210917 Javadoc fixed. 
+**     VVT 2022xxxx Refactored to make tests pure JUnit5. See #6237.
 */
 /*
 ** This program is free software: you can redistribute it and/or modify
@@ -66,7 +67,7 @@
 
 import static org.junit.jupiter.api.Assertions.assertEquals;
 
-import org.junit.*;
+import org.junit.jupiter.api.*;
 
 /**
  * Tests for {@link CharacterFormatParser#parse(String)}

=== modified file 'test/com/goldencode/p2j/util/TestCharacterPreprocessFormatString.java'
--- test/com/goldencode/p2j/util/TestCharacterPreprocessFormatString.java	2021-11-23 20:02:38 +0000
+++ test/com/goldencode/p2j/util/TestCharacterPreprocessFormatString.java	2022-09-30 12:05:13 +0000
@@ -12,6 +12,7 @@
 **                  Class members sorted.
 **     VVT 20210426 The broken() method removed.
 **     VVT 20211123 Missing Javadocs and annotations added.
+**     VVT 2022xxxx Refactored to make tests pure JUnit5. See #6237.
 */
 /*
 ** This program is free software: you can redistribute it and/or modify
@@ -67,10 +68,9 @@
 */
 package com.goldencode.p2j.util;
 
-import static org.junit.Assert.assertNotNull;
-import static org.junit.jupiter.api.Assertions.assertEquals;
+import static org.junit.jupiter.api.Assertions.*;
 
-import org.junit.*;
+import org.junit.jupiter.api.*;
 
 /**
  * Tests for {@link character#preprocessFormatString(String)}.

=== modified file 'test/com/goldencode/p2j/util/TestCharacterToStringFormatted.java'
--- test/com/goldencode/p2j/util/TestCharacterToStringFormatted.java	2021-04-28 15:57:14 +0000
+++ test/com/goldencode/p2j/util/TestCharacterToStringFormatted.java	2022-09-30 12:05:21 +0000
@@ -13,6 +13,7 @@
 **                  Class members sorted.
 **     VVT 20210426 The generic testFormat() is used instead of plain asserts.
 **     VVT 20210428 Import statements fixed.
+**     VVT 2022xxxx Refactored to make tests pure JUnit5. See #6237.
 */
 /*
 ** This program is free software: you can redistribute it and/or modify
@@ -68,9 +69,9 @@
 */
 package com.goldencode.p2j.util;
 
-import static org.junit.Assert.assertNotNull;
+import static org.junit.jupiter.api.Assertions.assertNotNull;
 
-import org.junit.*;
+import org.junit.jupiter.api.*;
 
 /**
  * Tests for {@link character#toString(String)}.

=== modified file 'test/com/goldencode/p2j/util/TestCharacterValueOf.java'
--- test/com/goldencode/p2j/util/TestCharacterValueOf.java	2021-11-23 20:02:38 +0000
+++ test/com/goldencode/p2j/util/TestCharacterValueOf.java	2022-09-30 12:05:28 +0000
@@ -12,6 +12,7 @@
 **                  Class members sorted.
 **     VVT 20210426 The tests now use inheritance.
 **     VVT 20211123 Missing Javadocs and annotations added.
+**     VVT 2022xxxx Refactored to make tests pure JUnit5. See #6237.
 */
 /*
 ** This program is free software: you can redistribute it and/or modify
@@ -67,9 +68,9 @@
 */
 package com.goldencode.p2j.util;
 
-import static org.junit.Assert.assertTrue;
+import static org.junit.jupiter.api.Assertions.assertTrue;
 
-import org.junit.*;
+import org.junit.jupiter.api.*;
 
 /**
  * Tests for {@link character#valueOf(String)}.

=== modified file 'test/com/goldencode/p2j/util/TestDateFormatParse.java'
--- test/com/goldencode/p2j/util/TestDateFormatParse.java	2021-11-23 20:02:38 +0000
+++ test/com/goldencode/p2j/util/TestDateFormatParse.java	2022-09-30 12:05:39 +0000
@@ -13,6 +13,7 @@
 **     VVT 20210408 Test methods got better names. See #4880.
 **     VVT 20210413 Test methods inheritance added.
 **     VVT 20211123 Missing Javadocs and annotations added.
+**     VVT 2022xxxx Refactored to make tests pure JUnit5. See #6237.
 */
 /*
 ** This program is free software: you can redistribute it and/or modify
@@ -68,9 +69,9 @@
 */
 package com.goldencode.p2j.util;
 
-import static org.junit.Assert.*;
+import static org.junit.jupiter.api.Assertions.*;
 
-import org.junit.*;
+import org.junit.jupiter.api.*;
 
 /**
  * Tests for parsing date format with {@link ParsedDateFormat#getInstance(String)}.
@@ -138,7 +139,7 @@
    /**
     * This method is called once by the test engine before all test methods in this class.
     */
-   @BeforeClass
+   @BeforeAll
    public static void beforeClass()
    {
       date.setDateOrder(AbstractDateFormatTest.ORDER_DMY);

=== modified file 'test/com/goldencode/p2j/util/TestDateFormatter.java'
--- test/com/goldencode/p2j/util/TestDateFormatter.java	2021-04-26 21:13:50 +0000
+++ test/com/goldencode/p2j/util/TestDateFormatter.java	2022-09-30 12:05:47 +0000
@@ -7,6 +7,7 @@
 ** -#- -I- --Date-- ---------------------------------Description---------------------------------
 ** 001 VVT 20210413 Created initial version.
 **     VVT 20210426 Updated for changed DateFormatter API. Missing Javadocs added.
+**     VVT 2022xxxx Refactored to make tests pure JUnit5. See #6237.
 */
 /*
 ** This program is free software: you can redistribute it and/or modify
@@ -62,9 +63,9 @@
 */
 package com.goldencode.p2j.util;
 
-import static org.junit.Assert.assertEquals;
+import static org.junit.jupiter.api.Assertions.assertEquals;
 
-import org.junit.*;
+import org.junit.jupiter.api.*;
 
 /**
  * Tests for formatting dates.

=== modified file 'test/com/goldencode/p2j/util/TestDateFormatting.java'
--- test/com/goldencode/p2j/util/TestDateFormatting.java	2021-11-23 20:02:38 +0000
+++ test/com/goldencode/p2j/util/TestDateFormatting.java	2022-09-30 12:05:54 +0000
@@ -8,6 +8,7 @@
 ** 001 VVT 20210413 Created initial version.
 **     VVT 20210426 Javadocs fixed.
 **     VVT 20211123 Missing Javadocs and annotations added.
+**     VVT 2022xxxx Refactored to make tests pure JUnit5. See #6237.
 */
 /*
 ** This program is free software: you can redistribute it and/or modify
@@ -63,9 +64,9 @@
 */
 package com.goldencode.p2j.util;
 
-import static org.junit.Assert.assertEquals;
+import static org.junit.jupiter.api.Assertions.assertEquals;
 
-import org.junit.*;
+import org.junit.jupiter.api.*;
 
 /**
  * Tests for formatting dates with {@link date#toString(String)}.
@@ -87,7 +88,7 @@
    /**
     * This method is called once by the test engine before all test methods in this class.
     */
-   @BeforeClass
+   @BeforeAll
    public static void beforeClass()
    {
       date.setDateOrder(AbstractDateFormatTest.ORDER_DMY);

=== modified file 'test/com/goldencode/p2j/util/TestDatetimeFormatting.java'
--- test/com/goldencode/p2j/util/TestDatetimeFormatting.java	2021-11-23 20:02:38 +0000
+++ test/com/goldencode/p2j/util/TestDatetimeFormatting.java	2022-09-30 12:06:06 +0000
@@ -8,6 +8,7 @@
 ** 001 VVT 20210413 Created initial version.
 **     VVT 20210428 Class hierarchy changed.
 **     VVT 20211123 Missing Javadocs and annotations added.
+**     VVT 2022xxxx Refactored to make tests pure JUnit5. See #6237.
 */
 /*
 ** This program is free software: you can redistribute it and/or modify
@@ -63,9 +64,9 @@
 */
 package com.goldencode.p2j.util;
 
-import static org.junit.Assert.assertEquals;
+import static org.junit.jupiter.api.Assertions.assertEquals;
 
-import org.junit.*;
+import org.junit.jupiter.api.*;
 
 /**
  * Tests for formatting with {@link datetime#toString(String)}
@@ -146,7 +147,7 @@
    /**
     * This method is called once by the test engine before all test methods in this class.
     */
-   @BeforeClass
+   @BeforeAll
    public static void beforeClass()
    {
       date.setDateOrder(AbstractDateFormatTest.ORDER_DMY);

=== modified file 'test/com/goldencode/p2j/util/TestLogicalSplitformat.java'
--- test/com/goldencode/p2j/util/TestLogicalSplitformat.java	2021-11-23 20:02:38 +0000
+++ test/com/goldencode/p2j/util/TestLogicalSplitformat.java	2022-09-30 12:06:13 +0000
@@ -13,6 +13,7 @@
 **     VVT 20210426 The class made generic. The test now use inheritance.
 **     VVT 20210428 Class renamed, was: TestBoolFormat. Class hierarchy changed.
 **     VVT 20211123 Missing Javadocs and annotations added.
+**     VVT 2022xxxx Refactored to make tests pure JUnit5. See #6237.
 */
 /*
 ** This program is free software: you can redistribute it and/or modify
@@ -69,9 +70,9 @@
 package com.goldencode.p2j.util;
 
 import static com.goldencode.p2j.util.character.valueOf;
-import static org.junit.Assert.*;
+import static org.junit.jupiter.api.Assertions.*;
 
-import org.junit.*;
+import org.junit.jupiter.api.*;
 
 /**
  * Tests for {@link logical#splitFormat(String)} and some related functions of {@link logical}.

=== modified file 'test/com/goldencode/p2j/util/TestNumberTypeParseFormat.java'
--- test/com/goldencode/p2j/util/TestNumberTypeParseFormat.java	2021-11-23 20:02:38 +0000
+++ test/com/goldencode/p2j/util/TestNumberTypeParseFormat.java	2022-09-30 12:06:21 +0000
@@ -13,6 +13,7 @@
 **                  The class was renamed.
 **     VVT 20210426 Class renamed, former name TestNumberFormatParse.
 **     VVT 20211123 Missing Javadocs and annotations added.
+**     VVT 2022xxxx Refactored to make tests pure JUnit5. See #6237.
 */
 /*
 ** This program is free software: you can redistribute it and/or modify
@@ -68,9 +69,9 @@
 */
 package com.goldencode.p2j.util;
 
-import static org.junit.Assert.*;
+import static org.junit.jupiter.api.Assertions.*;
 
-import org.junit.*;
+import org.junit.jupiter.api.*;
 
 import com.goldencode.p2j.util.NumberType.*;
 

=== modified file 'test/com/goldencode/p2j/util/TestRowid.java'
--- test/com/goldencode/p2j/util/TestRowid.java	2021-09-17 15:14:10 +0000
+++ test/com/goldencode/p2j/util/TestRowid.java	2022-09-30 12:06:28 +0000
@@ -9,6 +9,7 @@
 **     VVT 20210331 A few more parse tests added after the review. See #5218-30.
 **     VVT 20210331 Two typos fixed.
 **     VVT 20210917 Javadoc fixed. 
+**     VVT 2022xxxx Refactored to make tests pure JUnit5. See #6237.
 */
 /*
 ** This program is free software: you can redistribute it and/or modify
@@ -64,12 +65,12 @@
 */
 package com.goldencode.p2j.util;
 
-import static org.junit.Assert.assertNull;
+import static org.junit.jupiter.api.Assertions.assertNull;
 import static org.junit.jupiter.api.Assertions.assertEquals;
 
 import java.util.function.*;
 
-import org.junit.*;
+import org.junit.jupiter.api.*;
 
 /**
  * Various tests for ROWID parsing and formatting. Includes tests for

=== modified file 'test/com/goldencode/util/TestPrintable.java'
--- test/com/goldencode/util/TestPrintable.java	2022-03-07 22:24:50 +0000
+++ test/com/goldencode/util/TestPrintable.java	2022-10-27 14:20:37 +0000
@@ -7,6 +7,7 @@
 ** -#- -I- --Date-- ---------------------------------Description---------------------------------
 ** 001 VVT 20220306 Created initial version.
 **     VVT 20220307 AbstractPrintable class eliminated. See #6013-153.
+**     VVT 2022xxxx Refactored to make tests pure JUnit5. See #6237.
 */
 /*
 ** This program is free software: you can redistribute it and/or modify
@@ -64,7 +65,7 @@
 
 import static org.junit.jupiter.api.Assertions.assertEquals;
 
-import org.junit.*;
+import org.junit.jupiter.api.*;
 
 /**
  * Test classes, which implement {@link Printable} interface.

